namespace CloudBuilder.Gui
{
    partial class GridViewPagination
    {
        /// <summary> 
        /// 設計工具所需的變數。
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary> 
        /// 清除任何使用中的資源。
        /// </summary>
        /// <param name="disposing">如果應該處置受控資源則為 true，否則為 false。</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        #region 元件設計工具產生的程式碼

        /// <summary> 
        /// 此為設計工具支援所需的方法 - 請勿使用程式碼編輯器修改
        /// 這個方法的內容。
        /// </summary>
        private void InitializeComponent()
        {
            tableLayoutPanel = new TableLayoutPanel();
            movePreviousBut = new Krypton.Toolkit.KryptonButton();
            printBut = new Krypton.Toolkit.KryptonButton();
            totalLabel = new Krypton.Toolkit.KryptonLabel();
            firstPageBut = new Krypton.Toolkit.KryptonButton();
            moveNextBut = new Krypton.Toolkit.KryptonButton();
            moveLastBut = new Krypton.Toolkit.KryptonButton();
            eachPageLabel = new Krypton.Toolkit.KryptonLabel();
            limitTxt = new Krypton.Toolkit.KryptonTextBox();
            startPageLabel = new Krypton.Toolkit.KryptonLabel();
            recordPageLabel = new Krypton.Toolkit.KryptonLabel();
            totalRecordLabel = new Krypton.Toolkit.KryptonLabel();
            recordLabel = new Krypton.Toolkit.KryptonLabel();
            pageLabel = new Krypton.Toolkit.KryptonLabel();
            tableLayoutPanel.SuspendLayout();
            SuspendLayout();
            // 
            // tableLayoutPanel
            // 
            tableLayoutPanel.ColumnCount = 19;
            tableLayoutPanel.ColumnStyles.Add(new ColumnStyle(SizeType.Percent, 100F));
            tableLayoutPanel.ColumnStyles.Add(new ColumnStyle());
            tableLayoutPanel.ColumnStyles.Add(new ColumnStyle());
            tableLayoutPanel.ColumnStyles.Add(new ColumnStyle());
            tableLayoutPanel.ColumnStyles.Add(new ColumnStyle());
            tableLayoutPanel.ColumnStyles.Add(new ColumnStyle());
            tableLayoutPanel.ColumnStyles.Add(new ColumnStyle());
            tableLayoutPanel.ColumnStyles.Add(new ColumnStyle());
            tableLayoutPanel.ColumnStyles.Add(new ColumnStyle());
            tableLayoutPanel.ColumnStyles.Add(new ColumnStyle(SizeType.Absolute, 20F));
            tableLayoutPanel.ColumnStyles.Add(new ColumnStyle());
            tableLayoutPanel.ColumnStyles.Add(new ColumnStyle());
            tableLayoutPanel.ColumnStyles.Add(new ColumnStyle());
            tableLayoutPanel.ColumnStyles.Add(new ColumnStyle());
            tableLayoutPanel.ColumnStyles.Add(new ColumnStyle());
            tableLayoutPanel.ColumnStyles.Add(new ColumnStyle());
            tableLayoutPanel.ColumnStyles.Add(new ColumnStyle());
            tableLayoutPanel.ColumnStyles.Add(new ColumnStyle());
            tableLayoutPanel.ColumnStyles.Add(new ColumnStyle());
            tableLayoutPanel.Controls.Add(movePreviousBut, 12, 0);
            tableLayoutPanel.Controls.Add(printBut, 17, 0);
            tableLayoutPanel.Controls.Add(totalLabel, 1, 0);
            tableLayoutPanel.Controls.Add(firstPageBut, 10, 0);
            tableLayoutPanel.Controls.Add(moveNextBut, 13, 0);
            tableLayoutPanel.Controls.Add(moveLastBut, 14, 0);
            tableLayoutPanel.Controls.Add(eachPageLabel, 4, 0);
            tableLayoutPanel.Controls.Add(limitTxt, 5, 0);
            tableLayoutPanel.Controls.Add(startPageLabel, 7, 0);
            tableLayoutPanel.Controls.Add(recordPageLabel, 6, 0);
            tableLayoutPanel.Controls.Add(totalRecordLabel, 2, 0);
            tableLayoutPanel.Controls.Add(recordLabel, 3, 0);
            tableLayoutPanel.Controls.Add(pageLabel, 9, 0);
            tableLayoutPanel.Dock = DockStyle.Fill;
            tableLayoutPanel.Location = new Point(0, 0);
            tableLayoutPanel.Margin = new Padding(0);
            tableLayoutPanel.Name = "tableLayoutPanel";
            tableLayoutPanel.RowCount = 1;
            tableLayoutPanel.RowStyles.Add(new RowStyle(SizeType.Percent, 100F));
            tableLayoutPanel.Size = new Size(700, 30);
            tableLayoutPanel.TabIndex = 0;
            // 
            // movePreviousBut
            // 
            movePreviousBut.Location = new Point(535, 3);
            movePreviousBut.Name = "movePreviousBut";
            movePreviousBut.Size = new Size(36, 24);
            movePreviousBut.TabIndex = 2;
            movePreviousBut.Values.Image = Properties.Resources.MovePrevious;
            movePreviousBut.Values.Text = "";
            movePreviousBut.Click += movePreviousBut_Click;
            // 
            // printBut
            // 
            printBut.Location = new Point(661, 3);
            printBut.Name = "printBut";
            printBut.Size = new Size(36, 24);
            printBut.TabIndex = 2;
            printBut.Values.Image = Properties.Resources.print;
            printBut.Values.Text = "";
            printBut.Click += printBut_Click;
            // 
            // totalLabel
            // 
            totalLabel.Location = new Point(113, 3);
            totalLabel.Name = "totalLabel";
            totalLabel.Size = new Size(36, 20);
            totalLabel.TabIndex = 0;
            totalLabel.Values.Text = "总计";
            // 
            // firstPageBut
            // 
            firstPageBut.Location = new Point(493, 3);
            firstPageBut.Margin = new Padding(20, 3, 3, 3);
            firstPageBut.Name = "firstPageBut";
            firstPageBut.Size = new Size(36, 24);
            firstPageBut.TabIndex = 2;
            firstPageBut.Values.Image = Properties.Resources.MoveFirst;
            firstPageBut.Values.Text = "";
            firstPageBut.Click += firstPageBut_Click;
            // 
            // moveNextBut
            // 
            moveNextBut.Location = new Point(577, 3);
            moveNextBut.Name = "moveNextBut";
            moveNextBut.Size = new Size(36, 24);
            moveNextBut.TabIndex = 2;
            moveNextBut.Values.Image = Properties.Resources.MoveNext;
            moveNextBut.Values.Text = "";
            moveNextBut.Click += moveNextBut_Click;
            // 
            // moveLastBut
            // 
            moveLastBut.Location = new Point(619, 3);
            moveLastBut.Name = "moveLastBut";
            moveLastBut.Size = new Size(36, 24);
            moveLastBut.TabIndex = 2;
            moveLastBut.Values.Image = Properties.Resources.MoveLast;
            moveLastBut.Values.Text = "";
            moveLastBut.Click += moveLastBut_Click;
            // 
            // eachPageLabel
            // 
            eachPageLabel.Location = new Point(241, 3);
            eachPageLabel.Margin = new Padding(20, 3, 3, 0);
            eachPageLabel.Name = "eachPageLabel";
            eachPageLabel.Size = new Size(36, 20);
            eachPageLabel.TabIndex = 0;
            eachPageLabel.Values.Text = "每页";
            // 
            // limitTxt
            // 
            limitTxt.Location = new Point(283, 3);
            limitTxt.Margin = new Padding(3, 3, 3, 0);
            limitTxt.Name = "limitTxt";
            limitTxt.Size = new Size(60, 23);
            limitTxt.TabIndex = 0;
            limitTxt.KeyPress += limitTxt_KeyPress;
            limitTxt.Validated += limitTxt_Validated;
            // 
            // startPageLabel
            // 
            startPageLabel.Location = new Point(405, 3);
            startPageLabel.Margin = new Padding(20, 3, 3, 3);
            startPageLabel.Name = "startPageLabel";
            startPageLabel.Size = new Size(45, 23);
            startPageLabel.StateNormal.ShortText.Font = new Font("Arial", 12.25F, FontStyle.Bold);
            startPageLabel.TabIndex = 0;
            startPageLabel.Values.Text = "0 / 0";
            // 
            // recordPageLabel
            // 
            recordPageLabel.Location = new Point(346, 3);
            recordPageLabel.Margin = new Padding(0, 3, 3, 3);
            recordPageLabel.Name = "recordPageLabel";
            recordPageLabel.Size = new Size(36, 20);
            recordPageLabel.TabIndex = 0;
            recordPageLabel.Values.Text = "记录";
            // 
            // totalRecordLabel
            // 
            totalRecordLabel.Location = new Point(155, 3);
            totalRecordLabel.Name = "totalRecordLabel";
            totalRecordLabel.Size = new Size(21, 23);
            totalRecordLabel.StateNormal.ShortText.Font = new Font("Arial", 12.25F, FontStyle.Bold);
            totalRecordLabel.TabIndex = 0;
            totalRecordLabel.Values.Text = "0";
            // 
            // recordLabel
            // 
            recordLabel.Location = new Point(182, 3);
            recordLabel.Name = "recordLabel";
            recordLabel.Size = new Size(36, 20);
            recordLabel.TabIndex = 0;
            recordLabel.Values.Text = "记录";
            // 
            // pageLabel
            // 
            pageLabel.Location = new Point(453, 3);
            pageLabel.Margin = new Padding(0, 3, 3, 3);
            pageLabel.Name = "pageLabel";
            pageLabel.Size = new Size(17, 20);
            pageLabel.TabIndex = 0;
            pageLabel.Values.Text = "页";
            // 
            // GridViewPagination
            // 
            AutoScaleDimensions = new SizeF(7F, 17F);
            AutoScaleMode = AutoScaleMode.Font;
            AutoSizeMode = AutoSizeMode.GrowAndShrink;
            Controls.Add(tableLayoutPanel);
            Margin = new Padding(0);
            Name = "GridViewPagination";
            Size = new Size(700, 30);
            tableLayoutPanel.ResumeLayout(false);
            tableLayoutPanel.PerformLayout();
            ResumeLayout(false);
        }

        #endregion

        private TableLayoutPanel tableLayoutPanel;
        private Krypton.Toolkit.KryptonLabel totalLabel;
        private Krypton.Toolkit.KryptonLabel startPageLabel;
        private Krypton.Toolkit.KryptonLabel eachPageLabel;
        private Krypton.Toolkit.KryptonTextBox limitTxt;
        private Krypton.Toolkit.KryptonLabel recordPageLabel;
        private Krypton.Toolkit.KryptonButton firstPageBut;
        private Krypton.Toolkit.KryptonButton movePreviousBut;
        private Krypton.Toolkit.KryptonButton moveNextBut;
        private Krypton.Toolkit.KryptonButton moveLastBut;
        private Krypton.Toolkit.KryptonButton kryptonButton5;
        private Krypton.Toolkit.KryptonButton printBut;
        private Krypton.Toolkit.KryptonLabel totalRecordLabel;
        private Krypton.Toolkit.KryptonLabel recordLabel;
        private Krypton.Toolkit.KryptonLabel pageLabel;
    }
}
